- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates a mute config. If no location is specified, default is global.
HTTP request
PATCH https://securitycenter.googleapis.com/v2/{muteConfig.name=projects/*/locations/*/muteConfigs/*} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
muteConfig.name |
Identifier. This field will be ignored if provided on config creation. The following list shows some examples of the format:
|
Query parameters
| Parameters | |
|---|---|
updateMask |
The list of fields to be updated. If empty all mutable fields will be updated. |
Request body
The request body contains an instance of MuteConfig.
Response body
If successful, the response body contains an instance of MuteConfig.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/securitycenter
For more information, see the Authentication Overview.